Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 490355 - Review Request: emacs-jde - Emacs module for java develop
Summary: Review Request: emacs-jde - Emacs module for java develop
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 490352 490354
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-03-15 17:16 UTC by Dan Atmakin
Modified: 2009-10-12 10:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-12 10:43:54 UTC


Attachments (Terms of Use)

Description Dan Atmakin 2009-03-15 17:16:39 UTC
Spec URL: http://dev.sgu.ru/b/SPECS/emacs-jde.spec
SRPM URL: http://dev.sgu.ru/b/SRPMS/emacs-jde-2.3.5.1-1.fc10.src.rpm
Description: JDEE, an add-on software package that turns Emacs into a comprehensive system for creating, editing, debugging, and documenting Java applications.

(!)Requires: 
emacs-cedet -- https://bugzilla.redhat.com/show_bug.cgi?id=490352#c0
emacs-elib -- https://bugzilla.redhat.com/show_bug.cgi?id=490354#c0

Comment 1 Jason Tibbitts 2009-03-15 18:33:31 UTC
You can set the ticket dependency fields to make sure that reviewers see the tickets in order.

Are these your first pacakges for Fedora?  I can't do a meaningful search for "Dan" in the account system.

Comment 2 Dan Atmakin 2009-03-15 18:47:49 UTC
(In reply to comment #1)
> You can set the ticket dependency fields to make sure that reviewers see the
> tickets in order.
> 
> Are these your first pacakges for Fedora?  I can't do a meaningful search for
> "Dan" in the account system.  

Thanks for hints.
Yes, it's my first packages for Fedora. I changed real name, hope it will be unique.

Comment 3 Jerry James 2009-06-01 18:51:55 UTC
The ChangeLog for the xemacs-packages-extra RPM has this entry:

* Fri Mar 03 2006 Ville Skyttä <ville.skytta at iki.fi> - 20051208-2
- Drop JDE; the full source for jde.jar doesn't seem to be available
  and even the included parts won't build with gcj eg. due to use of
  com.sun.* things.  Additionally it requires third party jars which are
  not currently available in Fedora Core or Extras.  So let's not inflict
  a crippled version of JDE on anyone; JDE users can install the upstream
  jde package using XEmacs package tools. (#180941)

How much of that is true for this package?

Comment 4 Dan Atmakin 2009-06-01 21:04:53 UTC
This is a package for emacs and in emacs pattern, this package is absolutely all-sufficient and does not requires any special jars for correct work. Only preinstalled jre (sun or another, it does not matter). I don't know how JDE work in xemacs.

sorry but this srpm is rather ugly. I will recreate it according with /Packaging/Emacs#GNU_Emacs guidelines. I can't do it immediately, but i'll try to fix all problems in the near future.

Comment 5 Jerry James 2009-06-24 21:09:08 UTC
With respect to comment #3, please note that Ville's comments are absolutely correct for this package as well.  In the source distribution's java/lib directory are some jars with no corresponding sources: bsh.jar (which appears to include some classes from objectweb-asm), checkstyle.jar (which includes some classes from antlr, several jakarta-commons packages, and something from puppycrawl.com), and junit.jar.  Also try "grep -RF com.sun java/src".  In addition, the complaint that some source files are missing is absolutely valid.  Note that java/src/jde.jar contains "jde/debugger/gui/ThreadDisplay.class".  Where's the source file for that?

Comment 6 Simon 2009-10-12 07:13:47 UTC
Links return 404


Note You need to log in before you can comment on or make changes to this bug.